LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::sheet::DimensionFlags Constant Group Referencepublished

used to specify flags for a dimension in a data pilot source. More...

## Variables
const long | NO_COLUMN_ORIENTATION = 1
| The dimension cannot be used in column orientation. More...
const long | NO_ROW_ORIENTATION = 2
| The dimension cannot be used in row orientation. More...
const long | NO_PAGE_ORIENTATION = 4
| The dimension cannot be used in page orientation. More...
const long | NO_DATA_ORIENTATION = 8
| The dimension cannot be used in data orientation. More...

## Detailed Description

used to specify flags for a dimension in a data pilot source.

See also
  com::sun::star::sheet::DataPilotSourceDimension

## Variable Documentation

## ◆ NO_COLUMN_ORIENTATION

const long NO_COLUMN_ORIENTATION = 1

The dimension cannot be used in column orientation.

## ◆ NO_DATA_ORIENTATION

const long NO_DATA_ORIENTATION = 8

The dimension cannot be used in data orientation.

## ◆ NO_PAGE_ORIENTATION

const long NO_PAGE_ORIENTATION = 4

The dimension cannot be used in page orientation.

## ◆ NO_ROW_ORIENTATION

const long NO_ROW_ORIENTATION = 2

The dimension cannot be used in row orientation.